import { ref } from 'vue';
//数据录入
export const dayColumns = ref([
  {field: 'platformNumber', title: '平台编号',align: 'center'},
  {field: 'platformName', title: '平台名称',align: 'center'},
  {field: 'country', title: '国家',align: 'center'},
  {field: 'brandName', title: '品牌',align: 'center'},
  {field: 'user_name', title: '运营',align: 'center'},
  {field: 'currencyCode', title: '回款币种',align: 'center'},
  {title: '销售额',align: 'center',children: [
      {field: 'sales', title: '销售额',},
      {field: 'sales_original', title: '销售额(本币)', editRender: {}, slots: {edit: 'sales_original_edit'}, width: 122,align: 'center'},
    ]},
  {title:'广告销售额',align: 'center',children: [
      {field: 'ad_sales', title: '广告销售额',align: 'center'},
      {field: 'ad_sales_original', title: '广告销售额(本币)', editRender: {}, slots: {edit: 'ad_sales_original_edit'}, width: 151, align: 'center'},
    ]},
  //{field: 'sales', title: '销售额', editRender: {}, slots: {edit: 'sales_edit', default: 'sales_default',header: 'sales_header'}},
  {title: '广告花费',align: 'center',children: [
      {field: 'ad_cost', title: '广告花费',align: 'center'},
      {field: 'ad_cost_original', title: '广告花费(本币)', editRender: {}, slots: {edit: 'ad_cost_original_edit'}, width: 138, align: 'center'},
    ]},
  {title: '操作', width: 120, slots: {default: 'operate'},align: 'center'},
]);

export const weekColumns = ref([
  {field: 'platformNumber', title: '平台编号', fixed: 'left', width: 90},
  {field: 'platformName', title: '平台名称', fixed: 'left', width: 90},
  {field: 'country', title: '国家', fixed: 'left', width: 90},
  {field: 'brandName', title: '品牌', fixed: 'left', width: 90},
  {field: 'user_name', title: '运营', fixed: 'left', width: 90},
  {field: 'currencyCode', title: '回款币种', fixed: 'left', width: 111},

  {title: '销售额',align: 'center',children: [
      {field: 'sales', title: '销售额', width: 120},
      {field: 'sales_original', title: '销售额(本币)', editRender: {}, slots: {edit: 'sales_original_edit'}, width: 122,},
    ]},
  {title: '广告销售额',align: 'center',children: [
      {field: 'ad_sales', title: '广告销售额', width: 120},
      {
        field: 'ad_sales_original',
        title: '广告销售额(本币)',
        editRender: {},
        slots: {edit: 'ad_sales_original_edit'},
        width: 151,
      },
    ]},
  {title: '广告花费',align: 'center',children: [
      {field: 'ad_cost', title: '广告花费', width: 120},
      {
        field: 'ad_cost_original',
        title: '广告花费(本币)',
        editRender: {},
        slots: {edit: 'ad_cost_original_edit'},
        width: 138,
      },
    ]},
  {title: '当月累计销售额',align: 'center',children:[
      {field: 'total_sales_current_monthly', title: '当月累计销售额', width: 120},
      {
        field: 'total_sales_current_monthly_original',
        title: '当月累计销售额(本币)',
        editRender: {},
        slots: {edit: 'total_sales_current_monthly_edit'},
        width: 180,
      },
    ]},

  {field: 'impression', title: '广告曝光', editRender: {}, slots: {edit: 'impression_edit'}, width: 120},
  {field: 'ad_click', title: '广告点击', editRender: {}, slots: {edit: 'ad_click_edit'}, width: 120},
  {field: 'ad_order', title: '广告订单', editRender: {}, slots: {edit: 'ad_order_edit'}, width: 120},
  {field: 'money_by_amazon', title: 'Amazon回款金额', editRender: {}, slots: {edit: 'money_by_amazon_edit'},width: 134},
  {field: 'currencyCodePlatform', title: '回款/余额币种',width: 115},
  {field: 'money_by_other', title: 'Other回款金额',editRender: {}, slots: {edit: 'money_by_other_edit'}, width: 134},
  {field: 'session', title: '流量', editRender: {}, slots: {edit: 'session_edit'}, width: 120},
  {field: 'order', title: '订单', editRender: {}, slots: {edit: 'order_edit'}, width: 120},
  {
    field: 'availableSalesDay',
    title: '当前存货可售天',
    editRender: {},
    slots: {edit: 'availableSalesDay_edit'},
    width: 120
  },
  {
    field: 'intransitInventory',
    title: '当前在途库存',
    editRender: {},
    slots: {edit: 'intransitInventory_edit'},
    width: 120
  },
  {
    field: 'overseasStorage',
    title: '当前海外仓库存',
    editRender: {},
    slots: {edit: 'overseasStorage_edit'},
    width: 120
  },
  {field: 'refundRate', title: '最近90天平台退货率', editRender: {}, slots: {edit: 'refundRate_edit'}, width: 120},
  {title: '操作', width: 120, slots: {default: 'operate'}, fixed: 'right'},
]);

export const monthColumns = ref([
  {field: 'platformNumber', title: '平台编号',width: 90},
  {field: 'platformName', title: '平台名称',width: 90},
  {field: 'country', title: '国家',width: 90},
  {field: 'brandName', title: '品牌',width: 90},
  {field: 'user_name', title: '运营',width: 90},
  {field: 'currencyCode', title: '回款币种',width: 111},

  {title: '销售额',align: 'center',children: [
      {field: 'sales', title: '销售额', width: 120},
      {field: 'sales_original', title: '销售额(本币)', editRender: {}, slots: {edit: 'sales_original_edit'}, width: 122,},
    ]},
  {title: '广告销售额',align: 'center',children: [
      {field: 'ad_sales', title: '广告销售额', width: 120},
      {
        field: 'ad_sales_original',
        title: '广告销售额(本币)',
        editRender: {},
        slots: {edit: 'ad_sales_original_edit'},
        width: 151,
      },
    ]},
  {title: '广告花费',align: 'center',children: [
      {field: 'ad_cost', title: '广告花费', width: 120},
      {
        field: 'ad_cost_original',
        title: '广告花费(本币)',
        editRender: {},
        slots: {edit: 'ad_cost_original_edit'},
        width: 138,
      },
    ]},

  {field: 'impression', title: '广告曝光', editRender: {}, slots: {edit: 'impression_edit'}, width: 120},
  {field: 'ad_click', title: '广告点击', editRender: {}, slots: {edit: 'ad_click_edit'}, width: 120},
  {field: 'ad_order', title: '广告订单', editRender: {}, slots: {edit: 'ad_order_edit'}, width: 120},
  {title: '操作', width: 120, slots: {default: 'operate'}, fixed: 'right'},
]);

// 表格展示
export const dayDataColumns = ref([
  {field: '平台编号', title: '平台编号', fixed: 'left',minWidth: 90},
  {field: '平台名称', title: '平台名称', fixed: 'left', minWidth: 90},
  {field: '运营', title: '运营', fixed: 'left', minWidth: 90},
  {field: '国家', title: '国家', fixed: 'left', minWidth: 90},
  {field: '品牌名称', title: '品牌', fixed: 'left', minWidth: 90},
  {field: '货币名称', title: '回款币种', fixed: 'left', minWidth: 90},
  //{field: 'currencyCodePlatform', title: '平台货币', fixed: 'left', width: 112},
  //{field: 'sales_original', title: '销售额(本币)', width: 104,},
  //{field: 'ad_sales_original', title: '广告销售额(本币)', width: 132,},
  //{field: 'ad_cost_original', title: '广告花费(本币)', width: 116,},
  // {field: 'sales', title: '销售额'},
  // {field: 'sales_year_on_year', title: '期末同比变化'},
  // {field: 'sales_monthly_year_on_year', title: '期末环比变化'},
  // {field: 'ad_cost', title: '广告花费'},
  // {field: 'ad_sales', title: '广告销售额'},
  // {field: 'roi', title: '广告ROI'},
  // {field: 'acos', title: '广告ACOS'},
  // {field: 'roas', title: '广告ROAS'},
]);
export const weekDataColumns = ref([
  {field: 'platformNumber', title: '平台编号', fixed: 'left', minWidth: 90},
  {field: 'platformName', title: '平台名称', fixed: 'left', minWidth: 90},
  {field: 'user_name', title: '运营', fixed: 'left', minWidth: 90},
  {field: 'country', title: '国家', fixed: 'left', minWidth: 90},
  {field: 'brandName', title: '品牌', fixed: 'left', minWidth: 90},
  {field: 'currencyCode', title: '回款币种', fixed: 'left', minWidth: 90},

  //{field: 'sales_original', title: '销售额(本币)', width: 104,},
  //{field: 'ad_sales_original', title: '广告销售额(本币)', width: 132,},
  //{field: 'ad_cost_original', title: '广告花费(本币)', width: 116,},
  //{
  //  field: 'money_by_amazon_original',
  //  title: 'Amazon回款金额(本币)',
  //  width: 120
  //},
  //{
  //  field: 'money_by_other_original',
  //  title: 'Other回款金额(本币)',
  //  width: 120
  //},
  //{field: 'sales', title: '销售额', width: 120},
  //{field: 'ad_cost', title: '广告花费', width: 120},
  //{field: 'ad_sales', title: '广告销售额', width: 120},
  //{field: 'roi', title: '广告ROI', width: 120},
  //{field: 'acos', title: '广告ACOS', width: 120},
  //{field: 'roas', title: '广告ROAS', width: 120},
  //{field: 'impression', title: '广告曝光', width: 120},
  //{field: 'ad_click', title: '广告点击', width: 120},
  //{field: 'ad_order', title: '广告订单', width: 120},
  //{field: 'ad_conversion_rate', title: '广告转化率', width: 120},
  //{field: 'money_by_amazon', title: 'Amazon回款金额', width: 120},
  //{field: 'money_by_other', title: 'Ebay及其他平台可用余额', width: 120},
  //{field: 'currencyCode', title: '回款币种', width: 120},
  //{field: 'total_sales_current_monthly', title: '销售额完成情况', width: 120},
  //{field: 'sales_weekly_year_on_year', title: '环比上周增长率', width: 120},
  //{field: 'sales_monthly_year_on_year', title: '环比上月周增长率', width: 120},
  //{field: 'sales_year_on_year', title: '环比上年周增长率', width: 120},
  //{field: 'session', title: '流量', width: 120},
  //{field: 'ad_order', title: '广告订单', width: 120},
  //{field: 'order', title: '订单', width: 120},
  //{field: 'availableSalesDay', title: '当前存货可售天', width: 120},
  //{field: 'intransitInventory', title: '当前在途库存', width: 120},
  //{field: 'overseasStorage', title: '当前海外仓库存', width: 120},
  //{field: 'refundRate', title: '最近90天平台退货率', width: 120},
]);
export const monthDataColumns = ref([
  {field: 'platformNumber', title: '平台编号', fixed: 'left', minWidth: 90},
  {field: 'platformName', title: '平台名称', fixed: 'left', minWidth: 90},
  {field: 'user_name', title: '运营', fixed: 'left', minWidth: 90},
  {field: 'country', title: '国家', fixed: 'left', minWidth: 90},
  {field: 'brandName', title: '品牌', fixed: 'left', minWidth: 90},
  {field: 'currencyCode', title: '回款币种', fixed: 'left', minWidth: 90},
  //{field: 'currencyCodePlatform', title: '平台货币', fixed: 'left', width: 112},
  //{field: 'sales', title: '销售额'},
  //{field: 'ad_cost', title: '广告花费'},
  //{field: 'ad_sales', title: '广告销售额'},
  //{field: 'roi', title: '广告ROI'},
  //{field: 'acos', title: '广告ACOS'},
  //{field: 'roas', title: '广告ROAS'},
  //{field: 'impression', title: '广告曝光',},
  //{field: 'ad_click', title: '广告点击',},
  //{field: 'ad_order', title: '广告订单',},
  //{field: 'ad_conversion_rate', title: '广告转化率',},
  //{field: 'total_sales_current_monthly', title: '销售额完成情况',},
]);

// export const mainColumns = ref([
//   {field: 'platformNumber', title: '平台编号',fixed:"left",width: 90},
//   {field: 'platformName', title: '平台名称',fixed:"left",width: 90},
//   {field: 'country', title: '国家',fixed:"left",width: 90},
//   {field: 'user_name', title: '运营'},
//   {field: 'brandName', title: '品牌',fixed:"left",width: 90},
//   //需增加日销售额
//   {field: 'sales_monthly_year_on_year_day', title: '销售额期末月同比'},
//   {field: 'sales_year_on_year_day', title: '销售额期末年同比'},
//
//   {field: 'ad_cost_day', title: '日广告花费'},
//   {field: 'ad_sales_day', title: '日广告销售额'},
//   {field: 'roi_day', title: '日广告ROI'},
//
//   {field: 'total_sales_current_monthly', title: '月份销售额完成情况'},
//   {field: 'sales_weekly_year_on_year', title: '环比上周增长率'},
//   {field: 'sales_monthly_year_on_year_week', title: '环比上月周增长率'},
//   {field: 'sales_year_on_year', title: '同比上年周增长率'},
//   {field: 'money_by_amazon', title: 'Amazon平台已回款金额'},
//   {field: 'currencyCode', title: '回款币种'},
//   {field: 'money_by_other', title: 'Ebay及其他平台可用余额'},
//   // // { field: 'session', title: '周流量'},
//   // {field: 'ad_order', title: '订单'},
//   {field: 'availableSalesDay', title: '当前存货可售天'},
//   {field: 'intransitInventory', title: '当前在途库存'},
//   {field: 'overseasStorage', title: '当前海外仓库存'},
//   {field: 'refundRate', title: '最近90天平台退货率'},
//   //需增加周广告花费,销售额等
//   {field: 'ad_cost_week', title: '周广告花费'},
//   {field: 'ad_sales_week', title: '周广告销售额'},
//   {field: 'acos_week', title: '周广告ACOS'},
//   {field: 'roas_week', title: '周广告ROAS'},
//   {field: 'roi_week', title: '周广告ROI'},
//   {field: 'impression_week', title: '周广告曝光'},
//   {field: 'ad_order_week', title: '周广告订单'},
//   {field: 'ad_click_week', title: '周广告点击'},
//   {field: 'ad_click_rate_week', title: '周广告转化率'},
//   {field: 'ad_cost', title: '月广告费用'},
//   {field: 'ad_sales', title: '月广告销售额'},
//   {field: 'acos', title: '月ACOS'},
//   {field: 'roas', title: '月ROAS'},
//   {field: 'roi', title: '月广告ROI'},
//   {field: 'impression_month', title: '月广告曝光'},
//   {field: '', title: '月广告订单'},
//   {field: 'ad_click_month', title: '月广告点击'},
//   {field: 'ad_conversion_rate_month', title: '月广告转化率'},
// ])
